********************************************************

  PageLines Framework Release Notes:

********************************************************

Version 2.5.0 (final)

* Fixed all non static warnings, tested up to PHP7 with WP 4.6
* Merged any pending pull requests from GH (cliffp).
* Removed all broken pro features like online chat, broken links etc.
* Fixed so all users are pro, no need to login.

Version 2.4.5

	- CORE - Namespaced LESS compiler, fixes issues with plugins that refuse to namespace LESS
	- CORE - Suppress errors for PHP > 5.4

Version 2.4.4

	- CORE - Changes to admin UI, new favicon.
	- CORE - Twitterbar: Disable section and add message about API.

Version 2.4.3

	- Bugs - Store: Check user owns an item before offering an update.

Version 2.4.2

	- NEW - Allow global store login by defining PL_GLOBAL_USER and PL_GLOBAL_PASS.
	- NEW - Twitter user popover and url formatting.
	- CORE - Register easing and veiwport scripts.
	- CORE - Better update messages.
	- CORE - Add $this->oset to navbar options, allows per page navbar styles etc.
	- Bugs - Fixed imported. Should stop white screen on import with mod_sec/suhosin.
	- Bugs - Use esc_attr on banner image alt.
	- Bugs - Twitter: Fixed typo.
	- Bugs - Features: If no link supplied use div not anchor.

Version 2.4.1

	- NEW - Added section_on_ready() to section class ( wraps js in jQuery(document).ready(function() and loads into HEAD ).
	- NEW - Enable HTML in popovers.
	- NEW - Enable auto 'show' mode to modal popup.
	- NEW - Added pl_is_section_active( $class ).
	- NEW - New setup notifications.
	- CORE - Update Bootstrap to latest 2.3.1.
	- CORE - Update LESS compiler.
	- CORE - Updated SHIV code and detection function.
	- CORE - Removed unlisted font from typography.
	- CORE - Whitespace cleanup.
	- CORE - Added dailymotion to pl_video shortcode.
	- Bugs - RTL CSS detection fixed.
	- Bugs - Better googlefont URL code.
	- Bugs - Fix small nextgen template issue.
	- Bugs - Fix google graph backgrounds.
	- Bugs - Fixed columns bug in wp-admin, props Evan.
	- Bugs - Navbar: Added title/alt to fixed nav mode.
	- Bugs - Features: Check aspect ratio is valid and numeric.
	- Bugs - LESS: Fixed searchform line-height in IE9/10.
	- Bugs - LESS: Remove square corners on dropdown hovers.
	- Bugs - LESS: Fix features nobg mode.
	- Bugs - LESS: Fixed nested ol/ul/li, props Mikey.
	- Bugs - LESS: Callout selector and styling fixes.
	- Bugs - LESS: Adminbar CSS fixes.

Version 2.4

	- NEW - Upgrade the PageLinesFont to FontAwesome v3.
	- NEW - Make css save directory filterable: pagelines_css_upload_dir.
	- NEW - Added @pl-min-height variable to LESS system.
	- NEW - Add Google Plus! profile to HEAD of page.
	- NEW - Enable dropdown on hover for navbar.
	- CORE - Load shims with // fixes ssl issues.
	- CORE - Load google fonts with // fixes ssl issues.
	- CORE - Make all navbar options translatable.
	- CORE - Update LESS plugin and use class_exists to check if already loaded.
	- Bugs - Remove supersize loader.
	- Bugs - LESS: Fix hardcoded tooltip colours.
	- Bugs - LESS: Typo in masthead.
	- Bugs - LESS: Fixed bugs in forms.less and progressbars.less and dropdowns.less.
	- Bugs - LESS: Modals media queries were missing.
	- Bugs - LESS: Load responsive last.

Version 2.3.8

	- Bugs - Use enqueue properly.
	- CORE - Better POSIX check, plus filter added to override 'render_css_posix_'.

Version 2.3.7

	- CORE - Update Bootstrap core js.
	- CORE - Update css/less system to work with wp 3.5 MU sites.
	- CORE - Make pledit filterable. 'pagelines_pledit_filter'
	- CORE - Clear cache on sections dragged.
	- CORE - Attempt to clear super cache and w3 cache files on save.
	- CORE - Added some debugging info.
	- Bugs - Use clearfix() Fixes the 5px blank space bug.
	- Bugs - Navbar fix on touchscreens.
	- Bugs - Fix PHP warning if sections plugin is not installed.
	- Bugs - CPT post-meta options were being ignored.

Version 2.3.6

	- Bugs - Plus themes bug fixed.
	- Bugs - Watermark url if box is blank.
	- Bugs - Add locale to googlemaps shortcode.
	- Bugs - Noposts section was not selectable in 404 page area.
	- Bugs - removed polylang check ( uses ICL code anyway ).
	- Bugs - Fix Pinterest button, props nick + mikey.
	- Bugs - Fix offset in grids props nick.
	- Bugs - Add CPT support to is_pagelines_special() and make filterable, props Evan.
	- CORE - Updated plprint() and made it LESS friendly.
	- CORE - LESS_FILE_MODE is on by defualt now.

Version 2.3.5

	- Bugs - Fix LESS validation and \'escape\' bug in customcss box.
	- Bugs - Fix accordian shortcode if %s is in the content, props Evan.
	- Bugs - Fix community links in dashboard, props Evan.
	- Bugs - Fix Linkedin option in the sharebar, props Evan.

Version 2.3.4

	- CORE - Add SECTION_ROOT to deprecated.php
	- CORE - Updated twitter logo.
	- CORE - Added Flush Less button to adminbar if debug is on under advanced settings.
	- CORE - Removed customcss from kses whitelist, should stop people adding script tags to css and breaking everything.
	- Bugs - Fix #comments jump link, and check for livefyre.
	- Bugs - Fix pl_video shortcode, height and width are now working.
	- Bugs - Fixed 'Hide by default' bug.
	- Bugs - Banner Section - Fix alt image text.
	- Bugs - Fix debug comment in css.
	- Bugs - Fix footcols in fixed mode.
	- Bugs - Add separate video classes and fix vimeo black borders.
	- Bugs - Fix wp_title Paged bug.

Version 2.3.3

	- CORE - Added pagelines_gfont_baseurl filter for google fonts.
	- CORE - Properly namespace all CONSTANTS.
	- CORE - Fixed PageLines admin area in WordPress 3.5b1.
    - CORE - Updated Twitter icon per guidelines
	- Bugs - Fixed rare php notices on settings reset if WP_DEBUG is on.
	- Bugs - Store logic fix.

Version 2.3.2

	- CORE - Revert fix for compatibility with WordPress 3.5 (layout editor broke).

Version 2.3.1

	- CORE - remove main style.css from HEAD, not needed now as it contains no actual css.
	- CORE - Better minification rules.
	- CORE - Fix compatibility with WordPress 3.5 alpha.
	- CORE - Add version to admin scripts.
	- Bugs - NavBar dropdown fix for IE8.
	- Bugs - Features, add filter for target: pagelines_features_target.
	- Bugs - Only show update nags to admins.
	- Bugs - Fix cut and paste in wp-admin.
	- Bugs - Add linewrapping to code editors.
	- Bugs - Video shortcode, added related.
	- Bugs - LESS sections handling, do not compile disabled sections.
	- Bugs - Various IE8 fixes.
	- Bugs - Fix tooltip/rollover position.
	- Bugs - Fix Author profile links.

Version 2.3

	- NEW - Added code styling to all code areas.
	- NEW - Use native WordPress media library for all images.
	- NEW - Bootstrap NavBar gets child submenus.
	- NEW - Masthead section updated with video option
	- NEW - Added "position" to Tooltip and Popover shortcodes
	- NEW - Added alt tag option to Quickslider images
	- CORE - Upgraded to latest bootstrap.
	- CORE - Upgraded to latest LESS compiler.
	- CORE - Child themes can now override core less files.
	- Bugs - Boxes, open in new window if selected.
	- Bugs - Stop banner images overflowing.
	- Bugs - Make (edit) translatable.
	- Bugs - Fix carousel shortcode.
	- Bugs - Fix feature slides appearing before js is ready.
	- Bugs - Fix nav dropdown in ie8.
	- Bugs - Various multisite fixes.
	- Bugs - Flush css when framework is updated.
	- Bugs - Fix Quickslider nav in IE.


Version 2.2.5
    - CORE - Added new LESS variable @{plPluginsRoot}.
	- CORE - New filter 'pagelines_thumb_width' use to set thumb widths.
	- CORE - Added revisions flag to PL CPT's.
	- Bugs - Added ShareBar to pages.
	- Bugs - Fixed Jigoshop wrapper divs.
	- Bugs - Do not use POSIX functions if the host has removed them from PHP.
	- Bugs - Fixed section uploader in WordPress 3.4

Version 2.2.4
	- Bugs - Fixed background selectors.
	- Bugs - Typo in CSS cache timeout settings.
	- Bugs - Properly stack LESS sections CSS.

Version 2.2.3
	- Bugs - Fixed titles in feeds.
	- Bugs - Fixed stray divs in Jigoshop ( 1.4.6 of pagelines-jigoshop ).
	- Bugs - Fixed rare broken dashboard bug.
	- Bugs - Fixed background images not working.
	- Bugs - IE8 fixes for navbar.
	- Bugs - Fix css url when WPML switches url for custom languages.
	- Bugs - Hero section, open link in new window.

Version 2.2.2
    - CORE - Added new LESS variable @{plExtendRoot}.
	- CORE - Added filter pl_dynamic_css_url.
	- CORE - Added pl_force_ssl action.
	- CORE - Main CSS and gfont will be https if pl_force_ssl is used.
	- CORE - Added option to NavBar to display title on small screens.
	- CORE - Added .tac utility class to text-align center elements.
	- CORE - Added file based css cache LESS_FILE_MODE must be defined.
	- CORE - Child themes can now use welcome.php to customize the dashboard, adds a new tab.
	- CORE - Use wp_title() filters for TITLE, good for SEO plugins.
	- Bugs - Fixed template dropdown in edit page.
	- Bugs - Fixed accordion shortcode open status.
	- Bugs - Fixed dark background option on features.
    - Bugs - Fixed supersize on fixed width mode.
	- Bugs - Fixed [post_type] shortcode ( undefined index ).
	- Bugs - Allow NGINX to use pretty urls with css.
	- Bugs - Fix Carousel to work without captions.
	- Bugs - Fix Pagination section not working in archives etc.
	- Bugs - Fix MoreFoot widget description.
	- Bugs - Fix wrong admin URL in admin-bar.
	- Bugs - Fix Login URL in dashboard.
	- Bugs - Fix PrettyPrint description.

Version 2.2.1
	- CORE - Added Minification option under Advanced tab.
	- Bugs - CSS Minification disabled by default ( fixes a Plesk issue ).
	- Bugs - Fix 'more' link and background in features section.
	- Bugs - Make sure server is Apache before attempting to use rewrites.
	- Bugs - Strip all JS from the CSS/LESS box.
	- Bugs - Do not rewrite CSS if Polylang plugin is active.
	- Bugs - Bootstrap uses important not danger.

Version 2.2
	- NEW - New section! ScrollSpy - Scrolling in-page navigation
	- NEW - New section! Masthead - Giant text, compelling message and buttons
	- NEW - New section! Navbar - Brand new navigation system with themes!
	- NEW - New section! Hero - Quickly give a beautiful overview.
	- NEW - Integration of Twitter Bootstrap (http://twitter.github.com/bootstrap/)
	- NEW - New shortcode system - Modals, Buttons, Etc..
	- NEW - Performance enhancements & cleaner source markup.. Oh! and unicorn dust.
	- NEW - Quickslider text options
	- NEW - Fixed navigation bar with four color schemes.
	- NEW - Custom CSS uses dynamic LESS.
	- NEW - LESS system reports errors using adminbar.
	- NEW - Sections style.less file auto loaded.
	- NEW - Child theme style.less auto loaded.
	- NEW - All CSS combined and compiled by LESS then cached.
	- NEW - New PageLines Dashboard.
	- NEW - Upgrade notifications and One Click Upgrades in Dashboard area.
	- NEW - All Plus extensions listed with install buttons in Dashboard.
	- NEW - Moderated Live Chat added to Dashboard ( Plus users ).
	- NEW - Dashboard shows latest community posts, store updates and blog RSS feeds.
	- NEW - Special thanks to the PageLines Beta Testing group, along with Mikey Z, Nigel, Danny, Posey, Jamie, Ian, David, and the rest of the unicorns in the Upper East side (no Unicorns were harmed in the making of this version).
	- CORE - Added [post_authors] shortcode for metabar.
	- CORE - New Quickslider default images.
	- CORE - Added [post_type] shortcode for metabar.
	- CORE - Added title/alt to watermark.
	- CORE - Store layout tweaks.
	- CORE - Add support for WordPress 3.4.
	- CORE - Improved Callout section.
	- CORE - Improved Highlight section.
	- CORE - Child theme style.less auto parsed.
	- CORE - Customize plugin style.less auto parsed.
	- CORE - CSS class change - .section-comments to .section-wp-comments.
	- CORE - Moved "Site Design Mode" from "Color Options" to "Layout Editor".
	- CORE - PL_LESS_DEV constant added to disable css caching.
	- Bugs - Fix undefined template name after theme change.
	- Bugs - Remove Custom plugin attempting to copy page templates on every pageload.

Version 2.1.7

	- NEW - WPML Added config xml file.
	- NEW - WPML Added pagelines_wpml() wrapper.
	- NEW - Callout/Highlight/Qquickslider all translatable with WPML.
	- Bugs - Features use posts per page if no limit set.
	- Bugs - Only check for updates on admin screens.
	- Bugs - Fix typo under layout options.
	- Bugs - Fix links to pagelines.com in admin.
	- Bugs - Google API use SSL if blog is SSL.
	- CORE - Add three new google fonts to typography.

Version 2.1.6

	- CORE - Responsive fixes.
	- CORE - Page titles default to ON.
	- CORE - Fix untranslated strings banners/carousel/boxes.
	- CORE - Default font changed to helvetica.
	- Bugs - Fix featured thumb in posts.
	- Bugs - Various CSS fixes.
	- Bugs - Strip HTML from shares.

Version 2.1.5
	- HotFix - Metapanel integrations error.

Version 2.1.4
	- NEW - PInterest added to sharebar.
	- NEW - Section QuickSlider.
	- NEW - Footer Image/Watermark fully configurable.
	- CORE - Subscriptions added to store.
	- CORE - Add compatibility for wp 3.4
	- Bugs - Shortcodes work in features.
	- Bugs - CPT handling.
	- Bugs - bbpress/og conflict.

Version 2.1.3
	- Bugs - HotFix - Static Height Mode - Feature Slider

Version 2.1.2
	- NEW - Callout Options (alignment, CSS button)
	- NEW - Facebook Like Image uses 'Featured Image' (if available)
	- NEW - Advanced option - Current Install <body> class
	- NEW - Boxes options - More link & individual class
	- NEW - Add Open Graph options
	- NEW - Show active templates in page list
	- NEW - Show featured image in post/page list
	- NEW - Carousel gets auto scrolling
	- NEW - Special body class option
	- NEW - Developer libs added
	- NEW - Sharebar under post titles
	- NEW - Features are now responsive
	- CORE - Widget areas always loaded
	- CORE - Store items loaded by date
	- CORE - New action pagelines_loop_before_excerpt
	- CORE - New action pagelines_loop_after_excerpt
	- Bugs - Change action time for sidebar loading
	- Bugs - Fix HTML5 validation
	- Bugs - Re-add youtube link
	- Bugs - Escape JS in feature titles

Version 2.1.1
	- Bugs - IE8 <img> css
	- CORE - Section Tweaks - Highlight

Version 2.1
	- NEW - Global default meta options
	- NEW - BuddyPress and bbPress Extensions
	- NEW - Sharebar Section Rewrite (dynamic buttons)
	- NEW - Hashtag option (Used in social media)
	- NEW - Dynamic search field (CSS3 Search Field)
	- NEW - Sidebar load priority
	- NEW - Widget - Special Recent Posts
	- NEW - Twitter Section - @ and # links made clickable
	- NEW - PostNav Section - Allow cloning
	- NEW - Feature Section - New sort functions + all posts
	- NEW - Boxes Section - New sort functions
	- CORE - Color handling system
	- CORE - Meta defaults
	- CORE - Updates LESS system
	- CORE - Custom CSS now loaded last
	- CORE - New debug system
	- CORE - New template naming
	- CORE - Store - Better filesystem handling 100% WP functionality
	- Bugs - Better license handling
	- Bugs - Fix importer trying to set a null array
	- Bugs - Category is not an archive
	- Bugs - Use main layout for posts/pages
	- Bugs - JS not loading for a clone.


-------------------------------------

Version 2.0.2
	- CORE - Template Name Convention Change
	- CORE - Modifications for free version
-------------------------------------

Version 2.0.1
	- Feature Section
		- Responsive Background Images!
		- Bug fix - Meta on blog page
		- Better background handling
		- Posts category mode, uses featured images
	- Carousel Section - Taxonomy select, tweaks
	- Performance - Post Saving - Changed hook
	- Multisite - Added support for 'blogs' folder in customize plugin
	- Bugs - Remove css3 media queries js ( broken )
	- Features - Category mode now pulls in featured image
------------------------------------- Date: 12-22-2011

Version 2.0.0

	Official Release 2.0.0!
	- Special Thanks to
		- Chris Johnston (Awesome New Documentation)
		- Beta Tester Team (Mike Zielonka, Ian Sterne, Posey Gaines)

	Hotfixes
	- Nav Enhancement - Better highlighting
	- Store - Remove integration buttons for non-dev

	Release Candidate Four
	- Bugs - Screenshot url fix.
	- Fix sandbox urls.
	- MU - multisite fixes and css tweaks.

	Release Candidate Three
	- Localization - Translation fixes.
	- Bugs - Layout bug fixed.
	- Docs - Inline help added (chris).
	- Bugs - Screenshot url fix.
	- Bugs - base_url fix.

	Release Candidate Two
	- Welcome Screen Changes
	- Fixed Layout Management Bug
	- Add class to feature link
	- Misc improvements

	Release Candidate One
	- Integrations - Special Settings fixed.
	- Section - Refined Carousel
	- Bugs - Fixed special option handling
	- Store - New interface

	BETA - 32
	- Store - Error Fix

	BETA - 31
	- Integrations Special Settings.
	- IE Handling.

	BETA - 30
	- Extension - Added new footer hooks.

	BETA - 29
	- Localization - i18n fixes
	- Option - new 'fonts' option.

	BETA - 28
	- Various fixes
	- Store refining
	- Upgrade paths added

	BETA - 27
	- Refactoring

	BETA - 26
	- Store refactored.

	BETA - 25
	- Refined the 'store'
	- Bug fixes
	- Integrations.

	BETA - 24
	- LESS CSS - New Color Api for Section Extension (lessphp.org)
	- Integrations - Add Vanilla Theme.
	- Integrations - Add MediaWiki Theme.

	BETA - 23
	- Bug Fix - wamp has curl disabled by default props Chris.
	- Bug Fix - various.

	BETA - 22
	- Equalizer Script
	- New Child Theming Refinements
	- Bug Fixes and Refinements
	- Child Theme panel hiding functions added.

	BETA - 21
	- Huge memory savings.
	- New theming options.

	BETA - 20
	- Add sections to sandboxing.
	- Extend - Implement version checking for sections.
	- Bug Fix - UTF8 html escape.
	- Add user level support.
	- Cloning fixes
	- Memory leak discovered in section handling.

	BETA - 19
	- Add support for profiles section.
	- Add plugins sandboxing.

	BETA - 18
	- Bug Fix - Meta not saving.

	BETA - 17
	- Bug Fix - Sections all had same ID.
	- Bug Fix - Windows sections all had same icon.
	- Extend screenshots all round.
	- New payment system, no more iframe!
	- Metapanel refresh.
	- New profiles API.

	BETA - 16
	- Massive sections upgrade!
	- New license check system

	BETA - 15
	- Whole admin is now fully translatable.
	- Multisite 'fixes' for extend:
		* Update notifications disabled for non super-admin.
		* Install/Delete disabled for non super-admin.
	- cache clean on theme switch.

	BETA - 14
	- Extend system uses wp_filesystem if needed.
	- Lots of translation fixes.
	BETA - 13
	- *New Fixed Background Option
	- CPT Handling
	- Advanced Layout Functions
	BETA - 11, 12
	- Auto registering page templates
	- Developer Features
	- Security Enhancements
	- SSL PageLines API
	BETA - 9, 10
	- PageLines Extend
	- Usability improvements
	BETA - 8
	- Special Handling
	- Meta Handling
	- Feature Refinements
	- Section Refinements
	BETA - 7
	- Clone Options
	BETA - 6
	- Design Control
	- Color Math
	- Text Shadows
	- Extension Refinements
	BETA - 5
	- Special Page Handling
	- Graphical Selectors
	- Themes Extension
	BETA - 4
	- Section Control Rewrite
		- Fixes issues with hiding same sections
	- Metapanel rewrite
	- Cloning & Meta Options
	BETA - 1, 2, 3
	- Sections Cloning
	- Admin Rewrite
	- Responsive Design
	- Advanced Template Selector
	- Improved Graphics
	- Updated JS Libs
	- Rewrote Option Engine
